Bug 429037 - Review Request: isns-utils - Daemon and tools for iSNS management.
Review Request: isns-utils - Daemon and tools for iSNS management.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 17:32 EST by Mike Christie
Modified: 2008-06-10 15:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: F-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-10 15:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2008-01-16 17:32:53 EST
Spec URL: http://people.redhat.com/mchristi/iscsi/FC9/open-isns/isns-utils.spec
SRPM URL: http://people.redhat.com/mchristi/iscsi/FC9/open-isns/isns-utils-0.0-1.20070927snap.fc7.src.rpm
Description: The iSNS package contains the daemon and tools to setup a iSNS server, and iSNS client tools.
Comment 1 Mike Christie 2008-01-16 17:36:44 EST
Some rpmlint notes:

isns-utils.x86_64: W: file-not-utf8 /usr/share/doc/isns-utils-0.0/COPYING

I was not sure if this was a big deal. I am just copying the license info file
from the project.

isns-utils.x86_64: W: no-reload-entry /etc/rc.d/init.d/isnsd


The isnsd does not have reload capabilities.


isns-utils.x86_64: W: incoherent-init-script-name isnsd


Normally the init script name is supposed to be the same as the rpm package
name. This package though contains a daemon and tools to manage the daemon and
client tools. The init script only starts up the daemon. Other tools will call
the client tools, so I thought the name of the init script fit.

Comment 2 Jason Tibbitts 2008-01-17 17:51:30 EST
Honestly I have no idea what iSNS is, and looking at this package doesn't
help.  Would it be too much to add a line of explanation to your %description?
Maybe
  The Internet Storage Name Service (iSNS) protocol allows automated
  discovery, management and configuration of iSCSI and Fibre Channel devices
  (using iFCP gateways) on a TCP/IP network.
?

I do not believe that the license of this package is GPLv2.  COPYING includes
the LGPL, the source files do not include any license headers at all and
README says LGPLv2+.  I believe the latter is correct.

  isns-utils.x86_64: W: file-not-utf8 /usr/share/doc/isns-utils-0.0/COPYING
You do need to pass this through iconv; the copyright symbols in the document
not valid utf8.

The other rpmlint complaints are OK.

* source files match upstream:
   8dacfd692f9f59181e346986e8ac65911908ae5daf756052fe2702b406e29816  
   open-isns-20070927.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
? description could use a little explanation.
* dist tag is present.
* build root is OK.
X license field does not matche the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint has a valid complaint.
* final provides and requires are sane:
   config(isns-utils) = 0.0-1.20070927snap.fc9
   isns-utils = 0.0-1.20070927snap.fc9
  =
   /bin/sh
   /sbin/chkconfig
   /sbin/service
   config(isns-utils) = 0.0-1.20070927snap.fc9
   libcrypto.so.7()(64bit)

* %check is not present; no test suite upstream.  I have no way to test
  package (since I have no idea what it does).
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 3 Mike Christie 2008-01-17 18:44:45 EST
(In reply to comment #2)
> Honestly I have no idea what iSNS is, and looking at this package doesn't
> help.  Would it be too much to add a line of explanation to your %description?
> Maybe
>   The Internet Storage Name Service (iSNS) protocol allows automated
>   discovery, management and configuration of iSCSI and Fibre Channel devices
>   (using iFCP gateways) on a TCP/IP network.
> ?

That is a lot better. Done.

> 
> I do not believe that the license of this package is GPLv2.  COPYING includes
> the LGPL, the source files do not include any license headers at all and
> README says LGPLv2+.  I believe the latter is correct.

You are right.

> 
>   isns-utils.x86_64: W: file-not-utf8 /usr/share/doc/isns-utils-0.0/COPYING
> You do need to pass this through iconv; the copyright symbols in the document
> not valid utf8.

Ah ok thanks. Fixed.

> 
> The other rpmlint complaints are OK.


Ok thanks for the review. Here is the updated spec and src rpm:

http://people.redhat.com/mchristi/iscsi/FC9/open-isns/v2/isns-utils.spec
http://people.redhat.com/mchristi/iscsi/FC9/open-isns/v2/isns-utils-0.0-1.20070927snap.fc7.src.rpm

Comment 4 Jason Tibbitts 2008-01-17 23:56:00 EST
%description is now descriptive.

License: is good now.

The file-not-utf8 rpmlint warning is gone, and the remaining two rpmlint
complaints are OK.

APPROVED
Comment 5 Kevin Fenzi 2008-01-18 12:48:06 EST
Please use a cvs template here so we know what you want... 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
reset the fedora-cvs flag when you are ready. 
Comment 6 Mike Christie 2008-01-18 14:14:49 EST
New Package CVS Request
=======================
Package Name: isns-utils
Short Description: iSNS server and client tools.
Owners: michaelc
Branches: F-7, F-8, F-9
InitialCC: michaelc
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-18 16:32:31 EST
cvs done.
Comment 8 Brian Pepple 2008-05-25 20:06:09 EDT
Mike, has this been built?  If so, the bug should be closed.
Comment 9 Mike Christie 2008-06-10 15:18:27 EDT
Built into koji and getting ready for a release, so closing.

Note You need to log in before you can comment on or make changes to this bug.